Subject: Re: [pcp] Option ordering, ticket #41, prioritizing options in importance?

From: <[email-masked]>
Date: Mon, 14 Mar 2011 14:47:56 +0800

|-----邮件原件-----
|发件人: Dan Wing [mailto:[email-masked]] 
|发送时间: 2011年2月23日 5:11
|收件人: 'Dave Thaler'; [email-masked]
|主题: Re: [pcp] Option ordering, ticket #41
|
|> -----Original Message-----
|> From: Dave Thaler [mailto:[email-masked]]
|> Sent: Tuesday, February 22, 2011 12:38 PM
|> To: Dan Wing; [email-masked]
|> Subject: RE: [pcp] Option ordering, ticket #41
|> 
|> I like this in general.
|> It makes me wonder though whether we should leave a gap between 
|> existing options, to allow for future insertion requirements?
|
|Like line numbering in BASIC?
|
|Do you expect we would "prioritize" the options somehow, in 
|importance or something??  

Prioritizing options in importance is a good idea. 
In DS-Lite scenario, ranking "THIRD_PARTY_OPTIONS" as high priority will help AFTR efficient, because AFTR would discard the packet right after discovering the internal_ip_address is illegal (when internal_ip_address is part of authentication) before parsing other options. In fact, for authentication purpose, AFTR would even like to parse internal_ip_address before parsing any common header field.:-)

BR,
Xiaohong
opensource A+P: http://opensourceaplusp.weebly.com/

|
|> Or
|> maybe we just reserve the lowest numbered value in case we ever need 
|> to add an "option ordering option" at some point in the future.
|
|-d
|
|> -Dave
|> 
|> > -----Original Message-----
|> > From: [email-masked] [mailto:[email-masked]] On Behalf 
|> > Of
|> Dan
|> > Wing
|> > Sent: Tuesday, February 22, 2011 10:36 AM
|> > To: [email-masked]
|> > Subject: [pcp] Option ordering, ticket #41
|> >
|> > During today's PCP call, it was proposed to add suggested ordering
|> for PCP
|> > options, which is new ticket #41,
|> > http://trac.tools.ietf.org/wg/pcp/trac/ticket/41
|> >
|> > I propose the following:
|> >
|> >
|> > 1.  Currently, the optional-to-process options are 0-127, and
|> mandatory-to-
|> > process options are 128-255.  I propose swapping this, so the
|> mandatory-to-
|> > process options are numbered lowest.
|> >
|> > 2. new text for the General PCP Client processing section:
|> >
|> >   If more than one Option is included in a PCP request, the
|> >   Options MUST be ordered from the lowest numbered option to
|> >   the highest numbered option.
|> >
|> > 3. new text for the General PCP Server processing section:
|> >
|> >   If more than one Option is present in the PCP request,
|> >   and they are not ordered from lowest numbered Option
|> >   to highest numbered Option, the PCP server MUST generate
|> >   a MISORDERED_OPTIONS error response.
|> >
|> >
|> > Comments or feedback?
|> >
|> > -d
|> >
|> >
|> > _______________________________________________
|> > pcp mailing list
|> > [email-masked]
|> > https://www.ietf.org/mailman/listinfo/pcp
|
|
|